package com.liquidnet.service.util;


import com.liquidnet.service.goblin.dto.vo.SmileVProjectListVo;
import com.liquidnet.service.goblin.dto.vo.SmileVTeamVo;
import com.liquidnet.service.kylin.dto.vo.mongo.KylinPerformanceVo;

import java.util.ArrayList;
import java.util.List;

public class ObjectUtil {
    private static final ArrayList<KylinPerformanceVo> kylinPerformanceVoList = new ArrayList<>();
    private static final ArrayList<SmileVProjectListVo> smileVProjectListVoList = new ArrayList<>();
    private static final ArrayList<SmileVTeamVo> smileVTeamVoList = new ArrayList<>();

    public static ArrayList<SmileVTeamVo> smileVTeamVoList(){
        return (ArrayList<SmileVTeamVo>) smileVTeamVoList.clone();
    }

    public static ArrayList<SmileVProjectListVo> smileVProjectListVoList(){
        return (ArrayList<SmileVProjectListVo>) smileVProjectListVoList.clone();
    }

    public static ArrayList<KylinPerformanceVo> kylinPerformanceVoList(){
        return (ArrayList<KylinPerformanceVo>) kylinPerformanceVoList.clone();
    }
}
